<form class="search-form">
    <mat-form-field class="search-full-width">
        <input type="text"
               placeholder="Pick one"
               aria-label="Number"
               matInput
               [formControl]="searchControl"
               [matAutocomplete]="auto">
        <mat-autocomplete #auto="matAutocomplete">
            <mat-option *ngFor="let option of filteredOptions | async" [value]="option">
                {{option}}
            </mat-option>
        </mat-autocomplete>
    </mat-form-field>
</form>


<div class="scales-cover">
    <div class="scales-search-result">
        <div class="scale-box" *ngFor="let key of scales">
            <div class="scale-label">{{key.label}}</div>
            <app-octave class="fadein" [scale]="key.activeKeys" [options]="octaveConfigs" (click)="openDialog(key)"></app-octave>
        </div>
    </div>
</div>
